Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706402 - app-text/texlive-core-2019-r7 : fails to build with -fno-common or gcc-10
Summary: app-text/texlive-core-2019-r7 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Alexis Ballier
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 08:49 UTC by Toralf Förster
Modified: 2020-02-10 12:30 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.00 KB, text/plain)
2020-01-26 08:49 UTC, Toralf Förster
Details
app-text:texlive-core-2019-r7:20200126-082429.log (app-text:texlive-core-2019-r7:20200126-082429.log,454.43 KB, text/plain)
2020-01-26 08:49 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,23.08 KB, text/plain)
2020-01-26 08:49 UTC, Toralf Förster
Details
environment (environment,89.55 KB, text/plain)
2020-01-26 08:49 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.55 KB, application/x-bzip)
2020-01-26 08:49 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,145.30 KB, application/x-bzip)
2020-01-26 08:49 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,36.67 KB, application/x-bzip)
2020-01-26 08:49 UTC, Toralf Förster
Details
texlive-core-2019-no-fcommon.patch (gcc10.patch,10.71 KB, patch)
2020-02-09 21:55 UTC, David Seifert
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 08:49:16 UTC
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"autosp\ \(TeX\ Live\)\" -DPACKAGE_TARNAME=\"autosp--tex-live-\" -DPACKAGE_VERSION=\"2019-01-08\" -DPACKAGE_STRING=\"autosp\ \(TeX\ Live\)\ 2019-01-08\" -DPACKAGE_BUGREPORT=\"tex-k@tug.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"autosp--tex-live-\" -DVERSION=\"2019-01-08\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_STDIO_H=1 -DHAVE_TIME_H=1 -DHAVE_GETOPT_H=1 -DHAVE_CTYPE_H=1 -DHAVE_LIMITS_H=1 -DHAVE__BOOL=1 -DHAVE_STDBOOL_H=1 -DHAVE_STRSTR=1 -I. -I/var/tmp/portage/app-text/texlive-core-2019-r7/work/texlive-20190410-source/utils/autosp    -Wimplicit -Wreturn-type -O2 -pipe -march=native -fno-common -c -o autosp-src/status.o /var/tmp/portage/app-text/texlive-core-2019-r7/work/texlive-20190410-source/utils/autosp/autosp-src/status.c
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"autosp\ \(TeX\ Live\)\" -DPACKAGE_TARNAME=\"autosp--tex-live-\" -DPACKAGE_VERSION=\"2019-01-08\" -DPACKAGE_STRING=\"autosp\ \(TeX\ Live\)\ 2019-01-08\" -DPACKAGE_BUGREPORT=\"tex-k@tug.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"autosp--tex-live-\" -DVERSION=\"2019-01-08\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_STDIO_H=1 -DHAVE_TIME_H=1 -DHAVE_GETOPT_H=1 -DHAVE_CTYPE_H=1 -DHAVE_LIMITS_H=1 -DHAVE__BOOL=1 -DHAVE_STDBOOL_H=1 -DHAVE_STRSTR=1 -I. -I/var/tmp/portage/app-text/texlive-core-2019-r7/work/texlive-20190410-source/utils/autosp    -Wimplicit -Wreturn-type -O2 -pipe -march=native -fno-common -c -o autosp-src/spacing_note.o /var/tmp/portage/app-text/texlive-core-2019-r7/work/texlive-20190410-source/utils/autosp/autosp-src/spacing_note.c
x86_64-pc-linux-gnu-gcc -DPACKAGE_NAME=\"autosp\ \(TeX\ Live\)\" -DPACKAGE_TARNAME=\"autosp--tex-live-\" -DPACKAGE_VERSION=\"2019-01-08\" -DPACKAGE_STRING=\"autosp\ \(TeX\ Live\)\ 2019-01-08\" -DPACKAGE_BUGREPORT=\"tex-k@tug.org\" -DPACKAGE_URL=\"\" -DPACKAGE=\"autosp--tex-live-\" -DVERSION=\"2019-01-08\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_STDIO_H=1 -DHAVE_TIME_H=1 -DHAVE_GETOPT_H=1 -DHAVE_CTYPE_H=1 -DHAVE_LIMITS_H=1 -DHAVE__BOOL=1 -DHAVE_STDBOOL_H=1 -DHAVE_STRSTR=1 -I. -I/var/tmp/portage/app-text/texlive-core-2019-r7/work/texlive-20190410-source/utils/autosp    -Wimplicit -Wreturn-type -O2 -pipe -march=native -fno-common -c -o autosp-src/xtuplet.o /var/tmp/portage/app-text/texlive-core-2019-r7/work/texlive-20190410-source/utils/autosp/autosp-src/xtuplet.c
x86_64-pc-linux-gnu-gcc -Wimplicit -Wreturn-type -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o autosp autosp-src/autosp.o autosp-src/utils.o autosp-src/process_score.o autosp-src/process_command.o autosp-src/status.o autosp-src/spacing_note.o autosp-src/xtuplet.o  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: autosp-src/utils.o:(.bss+0x0): multiple definition of `lineno'; autosp-src/autosp.o:(.bss+0x364): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: autosp-src/process_score.o:(.bss+0x610): multiple definition of `outfile'; autosp-src/autosp.o:(.bss+0x8): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7 (uninstalled)
  [3]   python3.6
  [4]   python2.7 (fallback)





repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 07:06:11 +0000

emerge -qpvO app-text/texlive-core
[ebuild  N    ] app-text/texlive-core-2019-r7  USE="X luajittex tk -cjk -doc -source -xetex"
Comment 1 Toralf Förster gentoo-dev 2020-01-26 08:49:19 UTC
Created attachment 604522 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 08:49:22 UTC
Created attachment 604524 [details]
app-text:texlive-core-2019-r7:20200126-082429.log
Comment 3 Toralf Förster gentoo-dev 2020-01-26 08:49:25 UTC
Created attachment 604526 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-26 08:49:27 UTC
Created attachment 604528 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-26 08:49:30 UTC
Created attachment 604530 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-26 08:49:33 UTC
Created attachment 604532 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-26 08:49:35 UTC
Created attachment 604534 [details]
temp.tbz2
Comment 8 David Seifert gentoo-dev 2020-02-09 21:55:07 UTC
Created attachment 613154 [details, diff]
texlive-core-2019-no-fcommon.patch
Comment 9 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-02-09 21:57:48 UTC
(In reply to David Seifert from comment #8)
> Created attachment 613154 [details, diff] [details, diff]
> texlive-core-2019-no-fcommon.patch

thanks, will include the patch into the patchset.
Comment 10 Mikle Kolyada archtester Gentoo Infrastructure gentoo-dev Security 2020-02-10 12:30:03 UTC
pushed.